Get Stats
curl --request GET \
--url https://b2b.usetapp.xyz/v1/sender/stats \
--header 'API-Key: <api-key>'import requests
url = "https://b2b.usetapp.xyz/v1/sender/stats"
headers = {"API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-Key': '<api-key>'}};
fetch('https://b2b.usetapp.xyz/v1/sender/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://b2b.usetapp.xyz/v1/sender/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b.usetapp.xyz/v1/sender/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://b2b.usetapp.xyz/v1/sender/stats")
.header("API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://b2b.usetapp.xyz/v1/sender/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Sender stats retrieved successfully",
"data": {
"totalOrders": 128,
"totalOrderVolume": "45230.50",
"totalFeeEarnings": "226.15"
}
}
API Reference
Get Stats
Aggregate order volume, count, and fee earnings over a period.
GET
/
v1
/
sender
/
stats
Get Stats
curl --request GET \
--url https://b2b.usetapp.xyz/v1/sender/stats \
--header 'API-Key: <api-key>'import requests
url = "https://b2b.usetapp.xyz/v1/sender/stats"
headers = {"API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-Key': '<api-key>'}};
fetch('https://b2b.usetapp.xyz/v1/sender/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://b2b.usetapp.xyz/v1/sender/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b.usetapp.xyz/v1/sender/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://b2b.usetapp.xyz/v1/sender/stats")
.header("API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://b2b.usetapp.xyz/v1/sender/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Sender stats retrieved successfully",
"data": {
"totalOrders": 128,
"totalOrderVolume": "45230.50",
"totalFeeEarnings": "226.15"
}
}
Returns settled-order aggregates for the authenticated sender.
Header Parameters
string
required
Unique API key issued manually through Telegram.
Query Parameters
string
Time window:
today, week, month, or all (default). Anything else
returns 400.Response
string
Response state (
success).object
{
"status": "success",
"message": "Sender stats retrieved successfully",
"data": {
"totalOrders": 128,
"totalOrderVolume": "45230.50",
"totalFeeEarnings": "226.15"
}
}